import c4d
from c4d import gui
#Welcome to the world of Python

def Abs2Frozen(obj):
    obj.SetFrozenPos(obj.GetAbsPos())
    obj.SetFrozenRot(obj.GetAbsRot())
    obj.SetRelPos(c4d.Vector(0,0,0))
    obj.SetRelRot(c4d.Vector(0,0,0))

def main():
    c4d.StopAllThreads()
    sel = doc.GetOrderedActiveObjects() 

    if len(sel) != 2:
        gui.MessageDialog("W\hle genau zwei Objekte aus.")
        return False

    child = sel[0]
    while child != None:
        if child == sel[1]: 
            gui.MessageDialog("'{0}' ist \berobjekt von '{1}'.".format(sel[1].GetName(),sel[0].GetName()))
            return False    
        child = child.GetUp()

    last = sel[0]
    while last.GetDown() != None: 
        if last == sel[1]:
            gui.MessageDialog("'{0}' ist bereit ein Unterobjekt von '{1}'.".format(sel[1].GetName(),sel[0].GetName()))
            return False    
        last = last.GetDown()

    clone = sel[1].GetClone()
    mg = sel[1].GetMg()
    doc.InsertObject(clone, last, None)
    clone.SetMg(mg)
    Abs2Frozen(clone)
    sel[1].Remove()

    c4d.EventAdd()

if __name__=='__main__':
    main()